---
title: "1.14.0 - Release Candidate"
linkTitle: "1.14.0-rc"
date: "2021-04-20"
---

This is the 1.14.0-rc release of Agones.

This release introduces initial support for running windows game servers! If this is of interest to you, please test it out and give us feedback so that we can ensure that it works reliably before promoting the support to stable.

It also moves the `RollingUpdateOnReady` feature to beta and makes it enabled by default.

Check the <a
href="https://github.com/googleforgames/agones/tree/release-1.14.0-rc">README</a> for details on features, installation and usage.

**Breaking changes:**

- Move RollingUpdateOnReady to Beta [\#1970](https://github.com/googleforgames/agones/issues/1970)
- Update the machine type for GKE clusters in build scripts and terraform modules. [\#2063](https://github.com/googleforgames/agones/pull/2063) ([roberthbailey](https://github.com/roberthbailey))
- Move RollingUpdateOnReady to Beta [\#2033](https://github.com/googleforgames/agones/pull/2033) ([roberthbailey](https://github.com/roberthbailey))

**Security fixes:**

- Update Node.js dependencies and remove bundled sub-dependency [\#2040](https://github.com/googleforgames/agones/pull/2040) ([steven-supersolid](https://github.com/steven-supersolid))

**Implemented enhancements:**

- Update recommended machine type for GKE [\#2055](https://github.com/googleforgames/agones/issues/2055)
- Update simple-game-server to 0.3 [\#2045](https://github.com/googleforgames/agones/issues/2045)
- Update the simple game server image to 0.3. [\#2048](https://github.com/googleforgames/agones/pull/2048) ([roberthbailey](https://github.com/roberthbailey))
- Add Terraform config for Windows clusters [\#2046](https://github.com/googleforgames/agones/pull/2046) ([jeremyje](https://github.com/jeremyje))
- Build Agones Windows images by default. [\#2037](https://github.com/googleforgames/agones/pull/2037) ([jeremyje](https://github.com/jeremyje))

Documentation: https://development.agones.dev/site/

See <a
href="https://github.com/googleforgames/agones/blob/release-1.14.0-rc/CHANGELOG.md">CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.14.0-rc](https://gcr.io/agones-images/agones-controller:1.14.0-rc)
- [gcr.io/agones-images/agones-sdk:1.14.0-rc](https://gcr.io/agones-images/agones-sdk:1.14.0-rc)
- [gcr.io/agones-images/agones-ping:1.14.0-rc](https://gcr.io/agones-images/agones-ping:1.14.0-rc)
- [gcr.io/agones-images/agones-allocator:1.14.0-rc](https://gcr.io/agones-images/agones-allocator:1.14.0-rc)
- [gcr.io/agones-images/autoscaler-webhook:0.3](https://gcr.io/agones-images/autoscaler-webhook:0.3)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.5](https://gcr.io/agones-images/crd-client:0.5)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.8](https://gcr.io/agones-images/rust-simple-server:0.8)
- [gcr.io/agones-images/simple-game-server:0.3](https://gcr.io/agones-images/simple-game-server:0.3)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.14.0-rc.tgz">
    <code>helm install agones agones/agones --version 1.14.0-rc</code></a>

    > Make sure to add our stable helm repository using `helm repo add agones
    > https://agones.dev/chart/stable`
