---
title: "1.22.0 - More Bug Fixes, Examples and Load Testing Tools"
linkTitle: "1.22.0"
date: "2022-04-04"
---
This is the 1.22.0 release of Agones.

This release has lots of important bug fixes, examples and tools. This includes:

* Fix for Fleet rolling updates getting stuck when under high load.
* Several SDK fixes, for both Go and C++.
* Load testing framework for better load scenario testing.
* A GCP specific multi-cluster allocation example, 
* Ability to integrate Agones internal certificates with cert-manager.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.22.0-rc" data-proofer-ignore>README</a> for details on features, installation and usage.

**Implemented enhancements:**
- Add a multi-cluster allocation example solution to leverage GCP resources to connect to multiple Agones clusters [\#2495](https://github.com/googleforgames/agones/issues/2495)
- Agones controller metrics becomes a huge amount of data over time [\#2424](https://github.com/googleforgames/agones/issues/2424)
- Allow specifying agones-allocator nodePort via Helm values [\#1699](https://github.com/googleforgames/agones/issues/1699)
- Optionally include a ServiceMonitor in the Helm chart [\#1605](https://github.com/googleforgames/agones/issues/1605)
- Integrate with cert-manager to manage secrets on the cluster [\#1461](https://github.com/googleforgames/agones/issues/1461)
- Load Testing Framework for internal and external usage [\#412](https://github.com/googleforgames/agones/issues/412)
- Add Allocation Endpoint GCP solution for multi-cluster allocation to Agones examples [\#2499](https://github.com/googleforgames/agones/pull/2499) ([pooneh-m](https://github.com/pooneh-m))
- Add a tool that can run variable allocation load scenarios [\#2493](https://github.com/googleforgames/agones/pull/2493) ([roberthbailey](https://github.com/roberthbailey))
- updates for next release [\#2482](https://github.com/googleforgames/agones/pull/2482) ([SaitejaTamma](https://github.com/SaitejaTamma))

See <a href="https://github.com/googleforgames/agones/blob/release-1.22.0/CHANGELOG.md" data-proofer-ignore>CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.22.0](https://gcr.io/agones-images/agones-controller:1.22.0)
- [gcr.io/agones-images/agones-sdk:1.22.0](https://gcr.io/agones-images/agones-sdk:1.22.0)
- [gcr.io/agones-images/agones-ping:1.22.0](https://gcr.io/agones-images/agones-ping:1.22.0)
- [gcr.io/agones-images/agones-allocator:1.22.0](https://gcr.io/agones-images/agones-allocator:1.22.0)
- [gcr.io/agones-images/allocation-endpoint-proxy:0.1](https://gcr.io/agones-images/allocation-endpoint-proxy:0.1)
- [gcr.io/agones-images/autoscaler-webhook:0.4](https://gcr.io/agones-images/autoscaler-webhook:0.4)
- [gcr.io/agones-images/cpp-simple-server:0.14](https://gcr.io/agones-images/cpp-simple-server:0.14)
- [gcr.io/agones-images/crd-client:0.6](https://gcr.io/agones-images/crd-client:0.6)
- [gcr.io/agones-images/nodejs-simple-server:0.6](https://gcr.io/agones-images/nodejs-simple-server:0.6)
- [gcr.io/agones-images/rust-simple-server:0.10](https://gcr.io/agones-images/rust-simple-server:0.10)
- [gcr.io/agones-images/simple-game-server:0.11](https://gcr.io/agones-images/simple-game-server:0.11)
- [gcr.io/agones-images/supertuxkart-example:0.4](https://gcr.io/agones-images/supertuxkart-example:0.4)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.22.0.tgz" data-proofer-ignore>
  <code>helm install agones agones/agones --version 1.22.0</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`